<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Level 1</title>
    <link rel="stylesheet" href="https://unpkg.com/marx-css/css/marx.min.css">
    <style>
        .product{
            margin: 3em;
            border-radius: 50px;
            background: #e0e0e0;
            box-shadow:  20px 20px 60px #bebebe,
                        -20px -20px 60px #ffffff;
        }
        .line, .product{
            display: flex;
            justify-content: space-around;
        }
        .product, .product div {
            padding: 1em;
        }
        .product-img{
            width:33%;
        }
        .product-info{
            width: 50%;
        }
        .product-img img{
            border-radius: 5%;
        }
    </style>
</head>
<body>
    <main>
    <header>
        <h1>Our awesome products level 1</h1>
        <nav>
            <a href="../level1">Level 1</a>
            <a href="../level2">Level 2</a>
            <a href="../level3">Level 3</a>
            <a href="../level4">Level 4</a>
            <a href="../level5">Level 5</a>
            <a href="../level6">Level 6</a>
        </nav>
        <blockquote>
            Récuperer tous les nom, prix, ref et description des produits sur cette page.
        </blockquote>
        <p>
            <a href="https://realpython.com/python-web-scraping-practical-introduction/">
                Exemples.
            </a>
        </p>
    </header>
    {% for product in product1 %}
        <div class="product">
            <div class="product-img">
                <img src="https://picsum.photos/200" alt="Prody prod">
            </div>
            <div class="product-info">
                <h2>{{ product.name }}</h2>
                <p>{{ product.description }}</p>
                <small>{{ product.ref["$oid"] }}</small>
                <div class="line">
                    <strong class="price">{{ product.price }}€</strong>
                    <a href="/404" class="btn">BUY !</a>
                </div>
            </div>
        </div>
    {% endfor %}
    </main>
</body>
</html>